OpenJPEG: opj_codestream_info_v2 Struct Reference

OpenJPEG 2.5.3

Data Fields
opj_codestream_info_v2 Struct Reference

Information structure about the codestream (FIXME should be expand and enhance) More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | tx0
| tile origin in x = XTOsiz
OPJ_UINT32 | ty0
| tile origin in y = YTOsiz
OPJ_UINT32 | tdx
| tile size in x = XTsiz
OPJ_UINT32 | tdy
| tile size in y = YTsiz
OPJ_UINT32 | tw
| number of tiles in X
OPJ_UINT32 | th
| number of tiles in Y
OPJ_UINT32 | nbcomps
| number of components
opj_tile_info_v2_t | m_default_tile_info
| Default information regarding tiles inside image.
opj_tile_info_v2_t * | tile_info
| information regarding tiles inside image

## Detailed Description

Information structure about the codestream (FIXME should be expand and enhance)

## Field Documentation

## ◆ m_default_tile_info

opj_tile_info_v2_t opj_codestream_info_v2::m_default_tile_info

Default information regarding tiles inside image.

Referenced by j2k_get_cstr_info().

## ◆ nbcomps

OPJ_UINT32 opj_codestream_info_v2::nbcomps

number of components

Referenced by j2k_get_cstr_info().

## ◆ tdx

OPJ_UINT32 opj_codestream_info_v2::tdx

tile size in x = XTsiz

Referenced by j2k_get_cstr_info().

## ◆ tdy

OPJ_UINT32 opj_codestream_info_v2::tdy

tile size in y = YTsiz

Referenced by j2k_get_cstr_info().

## ◆ th

OPJ_UINT32 opj_codestream_info_v2::th

number of tiles in Y

Referenced by j2k_get_cstr_info().

## ◆ tile_info

opj_tile_info_v2_t* opj_codestream_info_v2::tile_info

information regarding tiles inside image

Referenced by j2k_get_cstr_info().

## ◆ tw

OPJ_UINT32 opj_codestream_info_v2::tw

number of tiles in X

Referenced by j2k_get_cstr_info().

## ◆ tx0

OPJ_UINT32 opj_codestream_info_v2::tx0

tile origin in x = XTOsiz

Referenced by j2k_get_cstr_info().

## ◆ ty0

OPJ_UINT32 opj_codestream_info_v2::ty0

tile origin in y = YTOsiz

Referenced by j2k_get_cstr_info().

The documentation for this struct was generated from the following file:

- openjpeg.h